Google Web Toolkit
Search Google Code:

# Class SerializationPolicyLoader

public final class SerializationPolicyLoader
extends Object
API for loading a SerializationPolicy.

## Fields

SERIALIZATION_POLICY_FILE_ENCODING | Default encoding for serialization policy files.

## Methods

getSerializationPolicyFileName(String) | Returns the serialization policy file name from the from the serialization policy strong name.
loadFromStream(InputStream) | Loads a SerializationPolicy from an input stream.

## Field Detail

### SERIALIZATION_POLICY_FILE_ENCODING

public static final String SERIALIZATION_POLICY_FILE_ENCODING
Default encoding for serialization policy files.

## Method Detail

### getSerializationPolicyFileName

public static String getSerializationPolicyFileName(String serializationPolicyStrongName)
Returns the serialization policy file name from the from the serialization policy strong name.

#### Parameters

serializationPolicyStrongName
  the serialization policy strong name

#### Return Value

the serialization policy file name from the from the serialization policy strong name

### loadFromStream

public static SerializationPolicy loadFromStream(InputStream inputStream)
throws IOException, ParseException, ClassNotFoundException
Loads a SerializationPolicy from an input stream.

#### Parameters

inputStream
  stream to load from

#### Return Value

a SerializationPolicy loaded from the input stream